package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */

@AllArgsConstructor
public enum AuthStatusEnum {
    /**
     * 认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证
     */

    A("0", "未认证"), B("1", "已勾选未确认"), C("2", "已确认"), D("3", "已发送认证"), E("4", "认证成功"), F("5", "认证失败"), G("6", "已撤销认证");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (AuthStatusEnum materialEnum : AuthStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
